# slackpkg – Package manager for Slackware >= 12.2

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Manage binary packages for Slackware using ‘slackpkg’ which is available in versions after 12.2.

## Requirements

The below requirements are needed on the host that executes this module.

- Slackware >= 12.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | name of package to install/remove

state
-

Choices:
- present ←
- absent
- latest

state of the package, you can use "installed" as an alias for `present` and removed as one for `absent`.

update_cache
boolean

Choices:
- no ←
- yes

update the package database first

## Examples

    # Install package foo
    - slackpkg:
        name: foo
        state: present

    # Remove packages foo and bar
    - slackpkg:
        name: foo,bar
        state: absent

    # Make sure that it is the most updated package
    - slackpkg:
        name: foo
        state: latest

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Kim Nørgaard (@KimNorgaard)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.